#!/bin/bash 
cd $(dirname "$BASH_SOURCE")/..
source config.cfg
BATCHPATH=$(cd $(dirname "$BASH_SOURCE")/../software; pwd)

outputurl=$1
mkdir -p $DESTPATH

echo "File path: $DESTPATH/$2.flv"

if [ "$3" -eq "1" ] 
then
	outputurl=${1/rtmpe:\/\/viacommtvstrmfs.fplive.net\/viacommtvstrm\/gsp/gsp}
	#	strip first part of MTV URL
	outputurl=${1/rtmpe:\/\/viacomvh1strmfs.fplive.net\/viacomvh1strm\/gsp/gsp}	
	#	strip first part of VH1 URL of header
	
	#	outputurl=${1/viacomvh1strmfs.fplive.net\/viacomvh1strm/cp10740.edgefcs.net\/ondemand\/mtvnorigin}
	#	outputurl=${1/viacommtvstrmfs.fplive.net\/viacommtvstrm/cp10740.edgefcs.net\/ondemand\/mtvnorigin}
	
	$BATCHPATH/rtmpdump -r "rtmpe://viacomnickstrmfs.fplive.net/viacomnickstrm" -y "mp4:$outputurl" -o "$DESTPATH/$2.flv" -V --resume
else
	$BATCHPATH/rtmpdump -r "$outputurl" -o "$DESTPATH/$2.flv" -V --resume
fi

osascript -e 'tell application "Terminal" to quit'
exit