#!/bin/bash 
cd $(dirname "$BASH_SOURCE")/..
source config.cfg
BATCHPATH=$(cd $(dirname "$BASH_SOURCE")/../software; pwd)

mkdir -p $TEMPPATH
mkdir -p $DESTPATH

for file in $SOURCEPATH/*.webm
do
	filename=$(basename "$file");
	filename=${filename%.*};

	$BATCHPATH/ffmpeg -i "$file" -vn -acodec copy "$TEMPPATH/$filename.ogg";

	if [ -s "$TEMPPATH/$filename.ogg" ]
	then
		mv "$TEMPPATH/$filename.ogg" "$DESTPATH/$filename.ogg";
	else
		[ -f "$TEMPPATH/$filename.ogg" ] && rm "$TEMPPATH/$filename.ogg"
	fi
done

osascript -e 'tell application "Terminal" to quit'
exit
