#!/bin/bash 
cd $(dirname "$BASH_SOURCE")/..
source config.cfg
BATCHPATH=$(cd $(dirname "$BASH_SOURCE")/../software; pwd)

mkdir -p $TEMPPATH
mkdir -p $DESTPATH

for file in $SOURCEPATH/*.mp4
do
	filename=$(basename "$file");
	filename=${filename%.*};

	$BATCHPATH/ffmpeg -i "$file" -vcodec copy -acodec copy "$TEMPPATH/$filename.flv";

	if [ -s "$TEMPPATH/$filename.flv" ]
	then
		mv "$TEMPPATH/$filename.flv" "$DESTPATH/$filename.flv";
	else
		[ -f "$TEMPPATH/$filename.flv" ] && rm "$TEMPPATH/$filename.flv"
	fi
done

osascript -e 'tell application "Terminal" to quit'
exit
