#!/bin/bash 
cd $(dirname "$BASH_SOURCE")/..
source config.cfg
BATCHPATH=$(cd $(dirname "$BASH_SOURCE")/../software; pwd)

mkdir -p $TEMPPATH
mkdir -p $DESTPATH

for file in $SOURCEPATH/*.mp4
do
	filename=$(basename "$file");
	filename=${filename%.*};

	#$BATCHPATH/ffmpeg -i "$file" -map_metadata -1 -metadata title="" -c copy "$TEMPPATH/$filename CLEANED.mp4";
	$BATCHPATH/ffmpeg -i "$file" -map_metadata -1 -metadata title="" -c copy -bsf:a aac_adtstoasc "$TEMPPATH/$filename CLEANED.mp4";


	if [ -s "$TEMPPATH/$filename CLEANED.mp4" ]
	then
		mv "$TEMPPATH/$filename CLEANED.mp4" "$DESTPATH/$filename CLEANED.mp4";
	else
		[ -f "$TEMPPATH/$filename CLEANED.mp4" ] && rm "$TEMPPATH/$filename CLEANED.mp4"
	fi
done

osascript -e 'tell application "Terminal" to quit'
exit
