#!/bin/bash 
cd $(dirname "$BASH_SOURCE")/..
source config.cfg
BATCHPATH=$(cd $(dirname "$BASH_SOURCE")/../software; pwd)

mkdir -p $TEMPPATH
mkdir -p $DESTPATH

for file in $SOURCEPATH/*.mp4
do
	filename=$(basename "$file");
	filename=${filename%.*};

	$BATCHPATH/ffmpeg -i "$file" -c copy -bsf:v h264_mp4toannexb -f mpegts "$TEMPPATH/$filename.ts";

	if [ -s "$TEMPPATH/$filename.ts" ]
	then
		mv "$TEMPPATH/$filename.ts" "$DESTPATH/$filename.ts";
	else
		[ -f "$TEMPPATH/$filename.ts" ] && rm "$TEMPPATH/$filename.ts"
	fi
done

osascript -e 'tell application "Terminal" to quit'
exit
