#!/bin/bash 
cd $(dirname "$BASH_SOURCE")/..
source config.cfg
BATCHPATH=$(cd $(dirname "$BASH_SOURCE")/../software; pwd)

mkdir -p $TEMPPATH
mkdir -p $DESTPATH

for file in $SOURCEPATH/*.ts
do
	filename=$(basename "$file");
	filename=${filename%.*};

	$BATCHPATH/ffmpeg -i "$file" -c copy -bsf:a aac_adtstoasc "$TEMPPATH/$filename.mp4";

	if [ -s "$TEMPPATH/$filename.mp4" ]
	then
		mv "$TEMPPATH/$filename.mp4" "$DESTPATH/$filename.mp4";
	else
		[ -f "$TEMPPATH/$filename.mp4" ] && rm "$TEMPPATH/$filename.mp4"
	fi
done

osascript -e 'tell application "Terminal" to quit'
exit
